# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`kernel`](#kernel): Manage kernel
* [`kernel::config`](#kernel--config)
* [`kernel::grubby`](#kernel--grubby)
* [`kernel::install`](#kernel--install)

## Classes

### <a name="kernel"></a>`kernel`

Manage kernel

#### Examples

##### 

```puppet
include ::kernel
```

#### Parameters

The following parameters are available in the `kernel` class:

* [`version`](#-kernel--version)
* [`package_ensure`](#-kernel--package_ensure)
* [`package_name`](#-kernel--package_name)
* [`install_devel`](#-kernel--install_devel)
* [`devel_package_name`](#-kernel--devel_package_name)
* [`install_headers`](#-kernel--install_headers)
* [`headers_package_name`](#-kernel--headers_package_name)
* [`install_firmware`](#-kernel--install_firmware)
* [`firmware_package_name`](#-kernel--firmware_package_name)
* [`set_default_kernel`](#-kernel--set_default_kernel)
* [`grub_default_kernel`](#-kernel--grub_default_kernel)
* [`grub_conf_path`](#-kernel--grub_conf_path)
* [`grub_class`](#-kernel--grub_class)

##### <a name="-kernel--version"></a>`version`

Data type: `Optional[String[1]]`

The desired kernel version to be installed.
Must be the full string that would be output by running `uname -r`.
Default of 'UNSET' disables management of kernel package version.

Default value: `undef`

##### <a name="-kernel--package_ensure"></a>`package_ensure`

Data type: `Enum['present', 'latest']`

Package ensure parameter.

Default value: `'present'`

##### <a name="-kernel--package_name"></a>`package_name`

Data type: `String[1]`

The kernel package name.

Default value: `'kernel'`

##### <a name="-kernel--install_devel"></a>`install_devel`

Data type: `Boolean`

Boolean to specify whether the kernel-devel package should be installed.

Default value: `false`

##### <a name="-kernel--devel_package_name"></a>`devel_package_name`

Data type: `String[1]`

The kernel development package name.

Default value: `'kernel-devel'`

##### <a name="-kernel--install_headers"></a>`install_headers`

Data type: `Boolean`

Boolean to specify whether the kernel-headers package should be installed.

Default value: `false`

##### <a name="-kernel--headers_package_name"></a>`headers_package_name`

Data type: `String[1]`

The kernel headers package name.

Default value: `'kernel-headers'`

##### <a name="-kernel--install_firmware"></a>`install_firmware`

Data type: `Boolean`

Boolean to specify whether the kernel-firmware package should be installed.

Default value: `false`

##### <a name="-kernel--firmware_package_name"></a>`firmware_package_name`

Data type: `String[1]`

The kernel firmware package name.

Default value: `'kernel-firmware'`

##### <a name="-kernel--set_default_kernel"></a>`set_default_kernel`

Data type: `Boolean`

Boolean to specify whether if the default kernel in GRUB should be modified by this module.

Default value: `true`

##### <a name="-kernel--grub_default_kernel"></a>`grub_default_kernel`

Data type: `Optional[String[1]]`

The kernel version to set as default in GRUB.
Default is the value of `$version`.

Default value: `undef`

##### <a name="-kernel--grub_conf_path"></a>`grub_conf_path`

Data type: `Stdlib::Unixpath`

The path to GRUB configuration file.  Default is OS dependent.

Default value: `'/etc/default/grub'`

##### <a name="-kernel--grub_class"></a>`grub_class`

Data type: `Enum['grubby']`

The class to be used to manage GRUB.

Default value: `'grubby'`

### <a name="kernel--config"></a>`kernel::config`

The kernel::config class.

### <a name="kernel--grubby"></a>`kernel::grubby`

The kernel::grubby class.

### <a name="kernel--install"></a>`kernel::install`

The kernel::install class.

